Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans
Class NotWritablePropertyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.beans.BeansException
                          org.springframework.beans.FatalBeanException
                              org.springframework.beans.InvalidPropertyException
                                  org.springframework.beans.NotWritablePropertyException

All Implemented Interfaces:
  java.io.Serializable

    public class NotWritablePropertyException

extends InvalidPropertyException

Exception thrown on an attempt to set the value of a property that is not writable (typically because there is no setter method).

Author:
  Rod Johnson, Alef Arendsen, Arjen Poutsma
See Also:
  Serialized Form

Constructor Summary
`NotWritablePropertyException(java.lang.Class beanClass, java.lang.String propertyName)` Create a new NotWritablePropertyException.
`NotWritablePropertyException(java.lang.Class beanClass, java.lang.String propertyName, java.lang.String msg)` Create a new NotWritablePropertyException.
`NotWritablePropertyException(java.lang.Class beanClass, java.lang.String propertyName, java.lang.String msg, java.lang.String[] possibleMatches)` Create a new NotWritablePropertyException.
`NotWritablePropertyException(java.lang.Class beanClass, java.lang.String propertyName, java.lang.String msg, java.lang.Throwable cause)` Create a new NotWritablePropertyException.

Method Summary
`java.lang.String[]` | `getPossibleMatches()` Return suggestions for actual bean property names that closely match the invalid property name, if any.

Methods inherited from class org.springframework.beans.InvalidPropertyException
`getBeanClass, getPropertyName`

Methods inherited from class org.springframework.beans.BeansException
`equals, hashCode`

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotWritablePropertyException

    public NotWritablePropertyException(java.lang.Class beanClass,
                                        java.lang.String propertyName)

  Create a new NotWritablePropertyException.

  Parameters:
    `beanClass` - the offending bean class
    `propertyName` - the offending property name

### NotWritablePropertyException

    public NotWritablePropertyException(java.lang.Class beanClass,
                                        java.lang.String propertyName,
                                        java.lang.String msg)

  Create a new NotWritablePropertyException.

  Parameters:
    `beanClass` - the offending bean class
    `propertyName` - the offending property name
    `msg` - the detail message

### NotWritablePropertyException

    public NotWritablePropertyException(java.lang.Class beanClass,
                                        java.lang.String propertyName,
                                        java.lang.String msg,
                                        java.lang.Throwable cause)

  Create a new NotWritablePropertyException.

  Parameters:
    `beanClass` - the offending bean class
    `propertyName` - the offending property name
    `msg` - the detail message
    `cause` - the root cause

### NotWritablePropertyException

    public NotWritablePropertyException(java.lang.Class beanClass,
                                        java.lang.String propertyName,
                                        java.lang.String msg,
                                        java.lang.String[] possibleMatches)

  Create a new NotWritablePropertyException.

  Parameters:
    `beanClass` - the offending bean class
    `propertyName` - the offending property name
    `msg` - the detail message
    `possibleMatches` - suggestions for actual bean property names that closely match the invalid property name

Method Detail

### getPossibleMatches

    public java.lang.String[] getPossibleMatches()

  Return suggestions for actual bean property names that closely match the invalid property name, if any.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD